Last Comment Bug 650780 - evaluating a null object in the web console returns TypeError: aObject is null
: evaluating a null object in the web console returns TypeError: aObject is null
Status: VERIFIED FIXED
[fixed-in-devtools][console-1][merged...
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 6
Assigned To: Rob Campbell [:rc] (:robcee)
:
: J. Ryan Stinnett [:jryans] (use ni?)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-18 07:01 PDT by Rob Campbell [:rc] (:robcee)
Modified: 2011-05-12 07:08 PDT (History)
2 users (show)
sdwilsh: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
[checked-in][in-devtools] null (1.60 KB, patch)
2011-04-19 13:26 PDT, Rob Campbell [:rc] (:robcee)
bugzilla: review+
dtownsend: review+
Details | Diff | Splinter Review

Description Rob Campbell [:rc] (:robcee) 2011-04-18 07:01:11 PDT
STR:
1. Open a Web Console (cmd/ctrl+shift+k)
2. type "null" in the command line and hit enter

Expected results:
Console should return "null" in the output error.

Actual results:
We get an error, TypeError: aObject is null.

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:6.0a1) Gecko/20110415 Firefox/6.0a1 aka nightly.

works in Fx4.
Comment 1 Rob Campbell [:rc] (:robcee) 2011-04-19 13:26:36 PDT
Created attachment 527077 [details] [diff] [review]
[checked-in][in-devtools] null

simple null check in isIteratorOrGenerator. And a unittest!
Comment 2 Rob Campbell [:rc] (:robcee) 2011-04-19 13:28:59 PDT
Comment on attachment 527077 [details] [diff] [review]
[checked-in][in-devtools] null

This fix should block merging to mozilla-central. Fixes a problem with patch in bug 632347.
Comment 3 Rob Campbell [:rc] (:robcee) 2011-04-20 06:04:34 PDT
Comment on attachment 527077 [details] [diff] [review]
[checked-in][in-devtools] null

adding mossop for some additional review sauce.
Comment 4 Rob Campbell [:rc] (:robcee) 2011-04-21 09:25:45 PDT
Comment on attachment 527077 [details] [diff] [review]
[checked-in][in-devtools] null

http://hg.mozilla.org/projects/devtools/rev/947401ba2457
Comment 5 Rob Campbell [:rc] (:robcee) 2011-05-09 12:47:19 PDT
Comment on attachment 527077 [details] [diff] [review]
[checked-in][in-devtools] null

http://hg.mozilla.org/mozilla-central/rev/947401ba2457
Comment 6 AndreiD[QA] 2011-05-12 07:08:04 PDT
Verified Fixed on:
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:6.0a1) Gecko/20110511 Firefox/6.0a1

Note You need to log in before you can comment on or make changes to this bug.